---
title: "Invite a user."
slug: "invite-a-user"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/invite-a-user"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite a user.

Post/v1/users/invite

Invite an existing user or a new user to join an existing account.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Body parameters

Request to invite a user.

<select class='api-response-data' aria-label='Media type'><option value='74bbfe76-c037-4fa6-9097-4fbb20a7678b'>application/json</option>
</select>object  user_emailstring    Required

User's email address.

roles Array of string (AccessRoles)   Requiredstring    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
first_namestring    
last_namestring    

Responses201

Invited User details.

<select class='api-response-data' aria-label='Media type'><option value='3e1380d4-972f-47f4-b1b7-ad21af1f254a'>application/json</option>
</select>object  user_idstring  (uuid)    

User Id.

first_namestring    

First Name.

last_namestring    

Last Name.

user_emailstring    

User Email.

last_logged_in_atinteger  (int64)    

Last login time of user.

created_atinteger  (int64)    

Creation time of user.

email_verifiedboolean    

Whether this user's email has been verified.

statusstring    

Status of a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
roles Array of string (AccessRoles)   string    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
user_account_statusstring    

Status of an Account for a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
accepted_latest_terms_and_conditionsboolean    

Whether this user has accepted latest terms and conditions or not.

new_emailstring    

User’s new email address before it has been confirmed.
